Subject: [dispatch] Review of draft-jimenez-p2psip-coap-reload-04

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Sat, 23 Aug 2014 17:38:31 +0000

This is an excellent draft and I support it’s publication but I think there are a few little details to clean up first. 

The informal ref to 3621 should be removed. 

Section 9 talks about the associated URI in the signers certificate. I think it would be good to a bit more specific about what exactly this is. Would be a URI type entry in the SubjectAltName?

I think section 10 needs a few more paragraphs. The high level pointsI I would want to have covered are 

- all the consideration in both Reload and Coap apply here

- the caching means that the values of the sensor that get cached will be stored on some random node in the overlay and thus readable by that node. As peer come and go, different nodes will get the data. So at some level, all the nodes in the overlay need to be trusted to see this information. Caching can not be used unless the threat model is such that it OK for any node to see the cached data. There are many use cases where either all the nodes in the overlay are trusted to see this data or the data public and fine for the world to see so though this is an impotent consideration it is not an issue in many cases. 

Look forward to seeing this published - I think it has some really interesting uses as we move forward. 

Cullen